List an entity's tax retentions
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/tax-retentions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/tax-retentions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/tax-retentions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/entities/{entityId}/tax-retentions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/entities/{entityId}/tax-retentions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/entities/{entityId}/tax-retentions")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/entities/{entityId}/tax-retentions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@context": "/contexts/TaxRetention",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/tax-retentions",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/tax-retentions/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "TaxRetention",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"uuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"version": 1,
"code": "25",
"description": "Información referente a la fiduciaria",
"issuer": {
"rfc": "AOM920820BEA",
"name": "APPLE OPERATIONS MEXICO S.A. DE C.V."
},
"receiver": {
"rfc": "PEIC211118IS0",
"name": "Pedro Infante Cruz",
"nationality": "national",
"curp": "PEIC123456ABCDEF12"
},
"pac": "SAT970701NN3",
"internalIdentifier": "00001",
"issuedAt": "2019-01-03T21:10:40.000Z",
"certifiedAt": "2019-01-03T21:10:41.000Z",
"canceledAt": "2023-11-07T05:31:56Z",
"items": [
{
"baseAmount": 45905,
"taxType": "002",
"retainedAmount": 7344,
"paymentType": "provisional"
}
],
"totalOperationAmount": 53249.8,
"totalTaxableAmount": 43249,
"totalExemptAmount": 1000.8,
"totalRetainedAmount": 1550.7,
"periodFrom": "2023-11-07T05:31:56Z",
"periodTo": "2023-11-07T05:31:56Z",
"pdf": true,
"xml": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Tax Retentions
List an entity's tax retentions
List tax retentions extracted for an entity.
GET
/
entities
/
{entityId}
/
tax-retentions
List an entity's tax retentions
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/tax-retentions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/tax-retentions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/tax-retentions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/entities/{entityId}/tax-retentions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/entities/{entityId}/tax-retentions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/entities/{entityId}/tax-retentions")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/entities/{entityId}/tax-retentions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@context": "/contexts/TaxRetention",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/tax-retentions",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/tax-retentions/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "TaxRetention",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"uuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"version": 1,
"code": "25",
"description": "Información referente a la fiduciaria",
"issuer": {
"rfc": "AOM920820BEA",
"name": "APPLE OPERATIONS MEXICO S.A. DE C.V."
},
"receiver": {
"rfc": "PEIC211118IS0",
"name": "Pedro Infante Cruz",
"nationality": "national",
"curp": "PEIC123456ABCDEF12"
},
"pac": "SAT970701NN3",
"internalIdentifier": "00001",
"issuedAt": "2019-01-03T21:10:40.000Z",
"certifiedAt": "2019-01-03T21:10:41.000Z",
"canceledAt": "2023-11-07T05:31:56Z",
"items": [
{
"baseAmount": 45905,
"taxType": "002",
"retainedAmount": 7344,
"paymentType": "provisional"
}
],
"totalOperationAmount": 53249.8,
"totalTaxableAmount": 43249,
"totalExemptAmount": 1000.8,
"totalRetainedAmount": 1550.7,
"periodFrom": "2023-11-07T05:31:56Z",
"periodTo": "2023-11-07T05:31:56Z",
"pdf": true,
"xml": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Filter by code (exact match) Retention type code from the Clave de retenciones catalog
Available options:
01, 02, 03, 04, 05, 06, 07, 08, 09, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, null Example:
"25"
Filter by tax retentions that have the CFDI available in XML format
true when the CFDI is available in the XML format. The file can be downloaded through the retrieve a tax retention CFDI operation
Filter by tax retentions that have the CFDI available in PDF format
true when the CFDI is available in the PDF format. The file can be downloaded through the retrieve a tax retention CFDI operation
Response
Taxpayer tax retention collection response
Was this page helpful?